PETSc version 3.15.5
Fix/Edit manual page

# PetscOptionsScalar

Gets the scalar value for a particular option in the database. Logically Collective on the communicator passed in PetscOptionsBegin()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsScalar(const char opt[],const char text[],const char man[],PetscScalar currentvalue,PetscScalar *value,PetscBool  *set)

### Input Parameters

| opt | - option name
| text | - short string that describes the option
| man | - manual page with additional information on option
| currentvalue | - the current value; caller is responsible for setting this value correctly. Normally this is done with either

                    PetscOptionsScalar(..., obj->value,&obj->value,...) or

                    value = defaultvalue

                    PetscOptionsScalar(..., value,&value,&flg);

                    if (flg) {

### Output Parameter

| value | - the value to return
| flg | - PETSC_TRUE if found, else PETSC_FALSE

### Notes

If the user does not supply the option at all value is NOT changed. Thus you should ALWAYS initialize value if you access it without first checking if the set flag is true.

The default/currentvalue passed into this routine does not get transferred to the output value variable automatically.

Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsGetBool(), PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

beginner

### Location

src/sys/objects/aoptions.c

### Examples

src/ksp/ksp/tutorials/ex32.c.html
src/ts/tutorials/ex35.cxx.html
src/ts/tutorials/ex52.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages